// E3D_Object.h: interface for the E3D_Object class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_E3D_OBJECT_H__68350685_DF17_4D48_89F8_BD3D8604A5A0__INCLUDED_)
#define AFX_E3D_OBJECT_H__68350685_DF17_4D48_89F8_BD3D8604A5A0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class E3D_Object  
{
public:
	float x, y, z;
	float rx, ry, rz;
	float sx, sy, sz;
	float vx, vy, vz;

	int modelNumber;
	class E3D_Model * pModel;
	class E3D_Object * pAttachTo;
	//short model, attach;
	short shade, active, visible, clipped;
	short preshade;
	rgb_f pscolour[30];						// inst preshade flag and preshaded poly colours
	Vector_f velocity;						// speed and dirn of motion
	float dist, maxdist;
	float speed, maxspeed, accel;		// speed of motion
	float turn, maxturn;					// manouvreability
	short energy;
	short behaviour, counter;				// behaviour stuff
    short nextbehaviour, nextcounter;		// behaviour stuff
	float tx, ty, tz;						// behaviour stuff
	short effect;							// special effect for instance

	void Delete();
	float GetZ();
	float GetY();
	float GetX();
	float GetDepth();
	float GetHeight();
	float GetWidth();
	void Rotate(float rx1, float ry1, float rz1);
	void Scale(float sx1, float sy1, float sz1);
	void MoveTo(float x1, float y1, float z1);
	E3D_Object();
	virtual ~E3D_Object();
};

#endif // !defined(AFX_E3D_OBJECT_H__68350685_DF17_4D48_89F8_BD3D8604A5A0__INCLUDED_)
