// E3D_Scene1.h: interface for the E3D_Scene class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_E3D_SCENE1_H__28381F51_2630_407F_824C_B0B241B83005__INCLUDED_)
#define AFX_E3D_SCENE1_H__28381F51_2630_407F_824C_B0B241B83005__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class E3D_Scene  
{
public:
	int numModels;
	int numObjects;
	int numTextures;
	int numLights;
	int numCameras;
	rgb_f backColour;
	rgb_f fogColour;
	float renderDistance;

	class E3D_Model * pModel[MAX_MODELS_PER_SCENE];
	class E3D_Object * pObject[MAX_OBJECTS_PER_SCENE];
	class E3D_Light * pLight[MAX_LIGHTS_PER_SCENE];
	class E3D_Camera * pCamera[MAX_CAMERAS_PER_SCENE];

	int Render();
	void SetClipping();
	int Load(char *filename);
	class E3D_Model * AddModel();
	class E3D_Model * AddModel(char *filename);
	int FindModel(char *modelName);
	class E3D_Camera * AddCamera();
	class E3D_Light * AddLight();
	class E3D_Object * AddObject();
	class E3D_Object * AddObject(char *modelName);
	void Start();
	void SetFogDistance(float z);
	void SetFogColour(float r, float g, float b);
	void SetBackColour(float r, float g, float b);

	E3D_Scene();
	virtual ~E3D_Scene();

};

#endif // !defined(AFX_E3D_SCENE1_H__28381F51_2630_407F_824C_B0B241B83005__INCLUDED_)
